/*-*-c++-*-
 * $Id: lemon.h,v 1.1 2002/01/28 15:38:33 holzheu Exp $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */
#ifndef LEMON_H
#define LEMON_H
class CParser;
union TokenStruct;
union TokenWhatIs;

void* ParseAlloc(void* (*alloc)(int));
void ParseFree(void*, void (*free)(void*));
void Parse(void*, int, TokenStruct, CParser*);

void* ParseWhatIsAlloc(void* (*alloc)(int));
void ParseWhatIsFree(void*, void (*free)(void*));
void ParseWhatIs(void*, int, TokenWhatIs, CParser*);

#endif
